tests: Use 'gpg-agent --allow-loopback-pinentry' if applicable.
authorJustus Winter <justus@g10code.com>
Mon, 20 Mar 2017 15:36:27 +0000 (16:36 +0100)
committerJustus Winter <justus@g10code.com>
Mon, 20 Mar 2017 15:41:43 +0000 (16:41 +0100)
commit16b202d9999591b71fb8bb49f6db10ef96d4cbe8
tree9f38b74a976a32b91066b1c401fa5de2a21ce5b6
parente1cf8bab319ba1dea41ba5d711dbb66ffd8e6fd6
tests: Use 'gpg-agent --allow-loopback-pinentry' if applicable.

* lang/python/tests/Makefile.am (gpg-agent.conf): Do not hard-code the
option.  This breaks gpg-agent from GnuPG 2.0.
* tests/start-stop-agent: Rather, check if the option is supported and
add it to the configuration if it is.

GnuPG-bug-id: 3008
Fixes-commit: bbf19124bbec9eb6298cef2914baae7ac74382fe
Signed-off-by: Justus Winter <justus@g10code.com>
lang/python/tests/Makefile.am
tests/start-stop-agent